
/* kbus.t */

project "kbus";

/* make */

make
{
   // automake = true;
   // autoinit = true;
   autoclean = true;
   debug = true;
   kdevelop = true;

   #define TRACEVIEW

   library "bus"
   {
      h_cc_source "bus.cc";
      moc_rule "bus";

      h_cc_source "traceview.cc";
      moc_rule "traceview";
      #ifdef TRACEVIEW
         cxxflags "-D TRACEVIEW";
      #endif
   }

   cxxflags "-D KDE_DEFAULT_DEBUG_AREA=8000";

   // files added to kdevelop project
   user_file "bus.desktop";
   user_file "bus.rc";

   /* INSTALL */

   defn "PLUGIN = bus";

   install_kdevelop "lib/kde4/$(PLUGIN).so" { exec=true; }
   install_kdevelop "share/kde4/services/$(PLUGIN).desktop";
   install_kdevelop "share/apps/$(PLUGIN)/$(PLUGIN).rc";

   /* Qt, KDE, KDevelop */

   lib_qt { qt_components = "QtDBus"; }
   lib_kde;
   lib_kdevelop;

   /* libraries */

   #if 1
   cxxflags "-Wl,-no-undefined";
   ldflags "-lkdecore";
   ldflags "-lkdeui";
   ldflags "-lkio";
   ldflags "-lktexteditor";
   ldflags "-lsublime";
   ldflags "-lkdevplatforminterfaces";
   ldflags "-lkdevplatformshell";
   ldflags "-lkdevplatformlanguage";
   ldflags "-lQtXml";
   ldflags "-lX11";
   #endif
}
